// startup_scripts/offensive_item.js

StartupEvents.registry("item", event => {
    event.create("kubejs:offensive_mk1", "animatable")
        .displayName('§5攻势')
        .maxStackSize(1)
        .rarity('EPIC')
        .geoModel(geo => {
            geo.setSimpleModel('kubejs:geo/offensive_mk1.geo.json')
            geo.setSimpleTexture('kubejs:textures/item/geo/offensive_mk1.png')
            geo.setSimpleAnimation('kubejs:animations/offensive_mk1.animation.json')
        })
        .addAnimation(state => state.setAndContinue(RawAnimation.begin().thenLoop("animation")))

    event.create("kubejs:offensive_mk2", "animatable")
        .displayName('§4极限攻势')
        .maxStackSize(1)
        .rarity('EPIC')
        .geoModel(geo => {
            geo.setSimpleModel('kubejs:geo/offensive_mk2.geo.json')
            geo.setSimpleTexture('kubejs:textures/item/geo/offensive_mk2.png')
            geo.setSimpleAnimation('kubejs:animations/offensive_mk2.animation.json')
        })
        .addAnimation(state => state.setAndContinue(RawAnimation.begin().thenLoop("animation")))
})
